$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.13.8.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.13.8.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CAC9E9D5D8831D398E706039784FCBFFAF323834D7D83FA9766C2A67EEDAF1FE'
  checksumType = 'sha256'
  checksum64 = 'CAC9E9D5D8831D398E706039784FCBFFAF323834D7D83FA9766C2A67EEDAF1FE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.13.8-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
